%define snapshot 0
%define rel	19

%if %{snapshot}
%define release	%mkrel -c %snapshot %rel
%else
%define release %mkrel %rel
%endif

# for menu
%define title	LinuxDC++
%define comment	Direct Connect client

Summary:	A DC++ port for Linux
Name:		linuxdcpp
Version:	1.1.0
Release:	%{release}
License:	GPLv2
Group:		Networking/File transfer
URL:		https://launchpad.net/linuxdcpp/
%if %{snapshot}
Source:		%name-%snapshot.tar.bz2
%else
Source:		https://launchpad.net/linuxdcpp/1.1/%{version}/+download/linuxdcpp-%{version}.tar.bz2
%endif
Patch1:		gcc6.patch
Patch2:		linuxdcpp-1.1.0-openssl11.patch
Patch3:		linuxdcpp-1.1.0-scons3.patch
Patch4:		gcc10.patch
BuildRequires:	pkgconfig(glib-2.0) >= 2.4
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.6
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libglade-2.0) >= 2.4
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	boost-devel
BuildRequires:	gettext
BuildRequires:	ImageMagick
BuildRequires:	scons

Obsoletes:	linuxdc++ < 0-20070000
Provides:	linuxdc++ = %{version}

%description
LinuxDC++ is a project to port the DC++ Direct Connect client for
Linux.

%prep
%if %{snapshot}
%setup -q -n %name
%else
%setup -q
%endif
%autopatch -p1
sed -i -e '/^#/!s/\<filter\>/filt/g' SConstruct
2to3 --write --nobackups --no-diffs SConstruct

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
%scons PREFIX="%{_prefix}"

%install
%scons_install PREFIX="%{_prefix}" FAKE_ROOT="%{buildroot}" release=1

rm -v %{buildroot}%{_datadir}/doc/linuxdcpp/*

install -d -m755 %{buildroot}%{_datadir}/applications

install -d -m755 %{buildroot}%{_miconsdir}
install -d -m755 %{buildroot}%{_iconsdir}
install -d -m755 %{buildroot}%{_liconsdir}

cp icons/hicolor/16x16/apps/linuxdcpp.png %{buildroot}%{_miconsdir}/%{name}.png
convert icons/hicolor/96x96/apps/linuxdcpp.png -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png
cp icons/hicolor/48x48/apps/linuxdcpp.png %{buildroot}%{_liconsdir}/%{name}.png

desktop-file-edit \
                  --set-key "Categories" \
                  --set-value "Network;P2P;FileTransfer;GTK;" \
                  %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc *.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 1.1.0-19.mga9
+ Revision: 1837044
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 1.1.0-18.mga9
+ Revision: 1747983
- rebuild for openssl 3.0.0

* Tue Aug 18 2020 martinw <martinw> 1.1.0-17.mga8
+ Revision: 1615423
- fix build with GCC 10

* Fri Mar 27 2020 umeabot <umeabot> 1.1.0-16.mga8
+ Revision: 1561028
- Mageia 8 Mass Rebuild

* Fri Apr 05 2019 daviddavid <daviddavid> 1.1.0-15.mga7
+ Revision: 1386001
- switch to Python2 scons support

* Sun Sep 23 2018 umeabot <umeabot> 1.1.0-14.mga7
+ Revision: 1299313
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 daviddavid <daviddavid> 1.1.0-13.mga7
+ Revision: 1167721
- patch3: fix build with scons 3.0

* Fri Sep 15 2017 cjw <cjw> 1.1.0-12.mga7
+ Revision: 1154207
- patch1: fix build with gcc 7 (from debian -- compile as C++98)
- patch2: fix build with openssl 1.1
- fix find_lang call

* Wed Mar 02 2016 umeabot <umeabot> 1.1.0-11.mga6
+ Revision: 983615
- Rebuild for openssl

* Wed Feb 03 2016 umeabot <umeabot> 1.1.0-10.mga6
+ Revision: 933170
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-9.mga5
+ Revision: 744261
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-8.mga5
+ Revision: 681952
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.0-7.mga4
+ Revision: 529294
- Mageia 4 Mass Rebuild

* Mon Jul 08 2013 fwang <fwang> 1.1.0-6.mga4
+ Revision: 451279
- rebuild for new boost

* Wed Apr 10 2013 malo <malo> 1.1.0-5.mga3
+ Revision: 409432
- rebuild for boost 1.53

* Sat Jan 12 2013 umeabot <umeabot> 1.1.0-4.mga3
+ Revision: 358854
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 19 2012 malo <malo> 1.1.0-3.mga2
+ Revision: 210894
- fixing desktop file category
- spec clean-up
- fix license to GPLv2
+ dmorgan <dmorgan>
- imported package linuxdcpp

